use chrono::{DateTime, Utc};
// use derive_builder::Builder;
use serde::{Deserialize, Serialize};
// use shrinkwraprs::Shrinkwrap;
use sqlx::{self, FromRow};

#[derive(Clone, Serialize, Deserialize, Debug, FromRow)]
pub struct RawZettle {
    pub id: String,
    pub content: String,
    pub kind: String,
    pub position: i64,
    pub creation_date: DateTime<Utc>,
    pub updated_date: DateTime<Utc>,
    pub lastview_date: DateTime<Utc>,
    pub deleted_date: Option<DateTime<Utc>>,
}
